- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
DoG
Complete List of ArrayFire Functions ArrayFire Functions by Category » Computer Vision » | Feature detectors

Difference of Gaussians. More...

## Functions
AFAPI array | dog (const array &in, const int radius1, const int radius2)
| C++ Interface wrapper for Difference of Gaussians. More...
AFAPI af_err | af_dog (af_array *out, const af_array in, const int radius1, const int radius2)
| C Interface wrapper for Difference of Gaussians. More...

## Detailed Description

Difference of Gaussians.

Given an image, this function computes two different versions of smoothed input image using the difference smoothing parameters and subtracts one from the other and returns the result.

## Function Documentation

AFAPI af_err af_dog | ( | af_array * | out,
|  | const af_array | in,
|  | const int | radius1,
|  | const int | radius2
| ) |  |

C Interface wrapper for Difference of Gaussians.

Parameters

  [out] | out | is difference of smoothed inputs
  [in] | in | is input image
  [in] | radius1 | is the radius of first gaussian kernel
  [in] | radius2 | is the radius of second gaussian kernel

Returns
  AF_SUCCESS if the computation is is successful, otherwise an appropriate error code is returned.

AFAPI array af::dog | ( | const array & | in,
|  | const int | radius1,
|  | const int | radius2
| ) |  |

C++ Interface wrapper for Difference of Gaussians.

Parameters

  [in] | in | is input image
  [in] | radius1 | is the radius of first gaussian kernel
  [in] | radius2 | is the radius of second gaussian kernel

Returns
  Difference of smoothed inputs